org.apache.activemq.artemis.spi.core.remoting.ssl

## Class SSLContextConfig

- java.lang.Object
- - org.apache.activemq.artemis.spi.core.remoting.ssl.SSLContextConfig

-     public final class SSLContextConfig
      extends Object

  This class holds configuration parameters for SSL context initialization. To be used with `SSLContextFactory` and `OpenSSLContextFactory`.
  Use `builder()` to create new immutable instances.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `SSLContextConfig.Builder`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SSLContextConfig.Builder` | `builder()`
    `boolean` | `equals(Object obj)`
    `String` | `getCrlPath()`
    `String` | `getKeystorePassword()`
    `String` | `getKeystorePath()`
    `String` | `getKeystoreProvider()`
    `String` | `getKeystoreType()`
    `String` | `getTrustManagerFactoryPlugin()`
    `String` | `getTruststorePassword()`
    `String` | `getTruststorePath()`
    `String` | `getTruststoreProvider()`
    `String` | `getTruststoreType()`
    `int` | `hashCode()`
    `boolean` | `isTrustAll()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### builder

          public static SSLContextConfig.Builder builder()

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### getCrlPath

          public String getCrlPath()

    - #### getKeystorePassword

          public String getKeystorePassword()

    - #### getKeystorePath

          public String getKeystorePath()

    - #### getKeystoreType

          public String getKeystoreType()

    - #### getKeystoreProvider

          public String getKeystoreProvider()

    - #### getTrustManagerFactoryPlugin

          public String getTrustManagerFactoryPlugin()

    - #### getTruststorePassword

          public String getTruststorePassword()

    - #### getTruststorePath

          public String getTruststorePath()

    - #### getTruststoreType

          public String getTruststoreType()

    - #### getTruststoreProvider

          public String getTruststoreProvider()

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### isTrustAll

          public boolean isTrustAll()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2021 The Apache Software Foundation. All rights reserved.